diff --git a/meson.build b/meson.build
index d7c5193d4ce..4972c7b26d4 100644
--- a/meson.build
+++ b/meson.build
@@ -7,24 +7,24 @@
 #  - https://mesonbuild.com/Reference-manual.html
 
 project('postgresql',
-  ['c'],
-  version: '19devel',
-  license: 'PostgreSQL',
-
-  # We want < 0.62 for python 3.6 compatibility on old platforms.
-  # RHEL 8 has 0.58.  < 0.57 would require various additional
-  # backward-compatibility conditionals.
-  # Meson 0.57.0 and 0.57.1 are buggy, therefore >=0.57.2.
-  meson_version: '>=0.57.2',
-  default_options: [
-    'warning_level=1', #-Wall equivalent
-    'b_pch=false',
-    'buildtype=debugoptimized', # -O2 + debug
-    # For compatibility with the autoconf build, set a default prefix. This
-    # works even on windows, where it's a drive-relative path (i.e. when on
-    # d:/somepath it'll install to d:/usr/local/pgsql)
-    'prefix=/usr/local/pgsql',
-  ]
+	['c'],
+	version: '19devel',
+	license: 'PostgreSQL',
+
+	# We want < 0.62 for python 3.6 compatibility on old platforms.
+	# RHEL 8 has 0.58.  < 0.57 would require various additional
+	# backward-compatibility conditionals.
+	# Meson 0.57.0 and 0.57.1 are buggy, therefore >=0.57.2.
+	meson_version: '>=0.57.2',
+	default_options: [
+		'warning_level=1', #-Wall equivalent
+		'b_pch=false',
+		'buildtype=debugoptimized', # -O2 + debug
+		# For compatibility with the autoconf build, set a default prefix. This
+		# works even on windows, where it's a drive-relative path (i.e. when on
+		# d:/somepath it'll install to d:/usr/local/pgsql)
+		'prefix=/usr/local/pgsql',
+	]
 )
 
 
@@ -73,8 +73,8 @@ configure. Alternatively use a separate check out for meson based builds.
 @0@
 ****'''
 if fs.exists(meson.current_source_dir() / 'src' / 'include' / 'pg_config.h')
-  errmsg_cleanup = 'To clean up, run make distclean in the source tree.'
-  error(errmsg_nonclean_base.format(errmsg_cleanup))
+	errmsg_cleanup = 'To clean up, run make distclean in the source tree.'
+	error(errmsg_nonclean_base.format(errmsg_cleanup))
 endif
 
 
@@ -124,13 +124,13 @@ cdata = configuration_data()
 pg_version = meson.project_version()
 
 if pg_version.endswith('devel')
-  pg_version_arr = [pg_version.split('devel')[0], '0']
+	pg_version_arr = [pg_version.split('devel')[0], '0']
 elif pg_version.contains('beta')
-  pg_version_arr = [pg_version.split('beta')[0], '0']
+	pg_version_arr = [pg_version.split('beta')[0], '0']
 elif pg_version.contains('rc')
-  pg_version_arr = [pg_version.split('rc')[0], '0']
+	pg_version_arr = [pg_version.split('rc')[0], '0']
 else
-  pg_version_arr = pg_version.split('.')
+	pg_version_arr = pg_version.split('.')
 endif
 
 pg_version_major = pg_version_arr[0].to_int()
@@ -184,12 +184,12 @@ sema_kind = 'sysv'
 # We implement support for some operating systems by pretending they're
 # another. Map here, before determining system properties below
 if host_system == 'dragonfly'
-  # apparently the most similar
-  host_system = 'netbsd'
+	# apparently the most similar
+	host_system = 'netbsd'
 elif host_system == 'android'
-  # while android isn't quite a normal linux, it seems close enough
-  # for our purposes so far
-  host_system = 'linux'
+	# while android isn't quite a normal linux, it seems close enough
+	# for our purposes so far
+	host_system = 'linux'
 endif
 
 # meson's system names don't quite map to our "traditional" names. In some
@@ -199,132 +199,132 @@ endif
 portname = host_system
 
 if host_system == 'cygwin'
-  sema_kind = 'unnamed_posix'
-  cppflags += '-D_GNU_SOURCE'
-  dlsuffix = '.dll'
-  mod_link_args_fmt = ['@0@']
-  mod_link_with_name = 'lib@0@.a'
-  mod_link_with_dir = 'libdir'
+	sema_kind = 'unnamed_posix'
+	cppflags += '-D_GNU_SOURCE'
+	dlsuffix = '.dll'
+	mod_link_args_fmt = ['@0@']
+	mod_link_with_name = 'lib@0@.a'
+	mod_link_with_dir = 'libdir'
 
 elif host_system == 'darwin'
-  dlsuffix = '.dylib'
-  library_path_var = 'DYLD_LIBRARY_PATH'
-
-  export_file_format = 'darwin'
-  export_fmt = '-Wl,-exported_symbols_list,@0@'
-
-  mod_link_args_fmt = ['-bundle_loader', '@0@']
-  mod_link_with_dir = 'bindir'
-  mod_link_with_name = '@0@'
-
-  sysroot_args = [files('src/tools/darwin_sysroot'), get_option('darwin_sysroot')]
-  pg_sysroot = run_command(sysroot_args, check:true).stdout().strip()
-  message('darwin sysroot: @0@'.format(pg_sysroot))
-  if pg_sysroot != ''
-    cflags += ['-isysroot', pg_sysroot]
-    ldflags += ['-isysroot', pg_sysroot]
-  endif
-
-  # meson defaults to -Wl,-undefined,dynamic_lookup for modules, which we
-  # don't want because a) it's different from what we do for autoconf, b) it
-  # causes warnings in macOS Ventura. But using -Wl,-undefined,error causes a
-  # warning starting in Sonoma. So only add -Wl,-undefined,error if it does
-  # not cause a warning.
-  if cc.has_multi_link_arguments('-Wl,-undefined,error', '-Werror')
-    ldflags_mod += '-Wl,-undefined,error'
-  endif
-
-  # Starting in Sonoma, the linker warns about the same library being
-  # linked twice.  Which can easily happen when multiple dependencies
-  # depend on the same library. Quiesce the ill considered warning.
-  ldflags += cc.get_supported_link_arguments('-Wl,-no_warn_duplicate_libraries')
+	dlsuffix = '.dylib'
+	library_path_var = 'DYLD_LIBRARY_PATH'
+
+	export_file_format = 'darwin'
+	export_fmt = '-Wl,-exported_symbols_list,@0@'
+
+	mod_link_args_fmt = ['-bundle_loader', '@0@']
+	mod_link_with_dir = 'bindir'
+	mod_link_with_name = '@0@'
+
+	sysroot_args = [files('src/tools/darwin_sysroot'), get_option('darwin_sysroot')]
+	pg_sysroot = run_command(sysroot_args, check:true).stdout().strip()
+	message('darwin sysroot: @0@'.format(pg_sysroot))
+	if pg_sysroot != ''
+		cflags += ['-isysroot', pg_sysroot]
+		ldflags += ['-isysroot', pg_sysroot]
+	endif
+
+	# meson defaults to -Wl,-undefined,dynamic_lookup for modules, which we
+	# don't want because a) it's different from what we do for autoconf, b) it
+	# causes warnings in macOS Ventura. But using -Wl,-undefined,error causes a
+	# warning starting in Sonoma. So only add -Wl,-undefined,error if it does
+	# not cause a warning.
+	if cc.has_multi_link_arguments('-Wl,-undefined,error', '-Werror')
+		ldflags_mod += '-Wl,-undefined,error'
+	endif
+
+	# Starting in Sonoma, the linker warns about the same library being
+	# linked twice.  Which can easily happen when multiple dependencies
+	# depend on the same library. Quiesce the ill considered warning.
+	ldflags += cc.get_supported_link_arguments('-Wl,-no_warn_duplicate_libraries')
 
 elif host_system == 'freebsd'
-  sema_kind = 'unnamed_posix'
+	sema_kind = 'unnamed_posix'
 
 elif host_system == 'linux'
-  sema_kind = 'unnamed_posix'
-  cppflags += '-D_GNU_SOURCE'
+	sema_kind = 'unnamed_posix'
+	cppflags += '-D_GNU_SOURCE'
 
 elif host_system == 'netbsd'
-  # We must resolve all dynamic linking in the core server at program start.
-  # Otherwise the postmaster can self-deadlock due to signals interrupting
-  # resolution of calls, since NetBSD's linker takes a lock while doing that
-  # and some postmaster signal handlers do things that will also acquire that
-  # lock.  As long as we need "-z now", might as well specify "-z relro" too.
-  # While there's not a hard reason to adopt these settings for our other
-  # executables, there's also little reason not to, so just add them to
-  # LDFLAGS.
-  ldflags += ['-Wl,-z,now', '-Wl,-z,relro']
+	# We must resolve all dynamic linking in the core server at program start.
+	# Otherwise the postmaster can self-deadlock due to signals interrupting
+	# resolution of calls, since NetBSD's linker takes a lock while doing that
+	# and some postmaster signal handlers do things that will also acquire that
+	# lock.  As long as we need "-z now", might as well specify "-z relro" too.
+	# While there's not a hard reason to adopt these settings for our other
+	# executables, there's also little reason not to, so just add them to
+	# LDFLAGS.
+	ldflags += ['-Wl,-z,now', '-Wl,-z,relro']
 
 elif host_system == 'openbsd'
-  # you're ok
+	# you're ok
 
 elif host_system == 'sunos'
-  portname = 'solaris'
-  export_fmt = '-Wl,-M@0@'
-  # We need these #defines to get POSIX-conforming versions
-  # of many interfaces (sigwait, getpwuid_r, shmdt, ...).
-  cppflags += [
-    '-D_POSIX_C_SOURCE=200112L',
-    '-D__EXTENSIONS__',
-    '-D_POSIX_PTHREAD_SEMANTICS',
-  ]
+	portname = 'solaris'
+	export_fmt = '-Wl,-M@0@'
+	# We need these #defines to get POSIX-conforming versions
+	# of many interfaces (sigwait, getpwuid_r, shmdt, ...).
+	cppflags += [
+		'-D_POSIX_C_SOURCE=200112L',
+		'-D__EXTENSIONS__',
+		'-D_POSIX_PTHREAD_SEMANTICS',
+	]
 
 elif host_system == 'windows'
-  portname = 'win32'
-  exesuffix = '.exe'
-  dlsuffix = '.dll'
-  library_path_var = ''
-  if cc.get_id() != 'msvc'
-    # define before including <time.h> for getting localtime_r() etc. on MinGW
-    cppflags += '-D_POSIX_C_SOURCE'
-  endif
-
-  export_file_format = 'win'
-  export_file_suffix = 'def'
-  if cc.get_id() == 'msvc'
-    export_fmt = '/DEF:@0@'
-    mod_link_with_name = '@0@.lib'
-  else
-    export_fmt = '@0@'
-    mod_link_with_name = 'lib@0@.a'
-  endif
-  mod_link_args_fmt = ['@0@']
-  mod_link_with_dir = 'libdir'
-
-  shmem_kind = 'win32'
-  sema_kind = 'win32'
-
-  cdata.set('WIN32_STACK_RLIMIT', 4194304)
-  if cc.get_id() == 'msvc'
-    ldflags += '/INCREMENTAL:NO'
-    ldflags += '/STACK:@0@'.format(cdata.get('WIN32_STACK_RLIMIT'))
-    # ldflags += '/nxcompat' # generated by msbuild, should have it for ninja?
-  else
-    ldflags += '-Wl,--stack,@0@'.format(cdata.get('WIN32_STACK_RLIMIT'))
-    # Need to allow multiple definitions, we e.g. want to override getopt.
-    ldflags += '-Wl,--allow-multiple-definition'
-    # Ensure we get MSVC-like linking behavior.
-    ldflags += '-Wl,--disable-auto-import'
-  endif
-
-  os_deps += cc.find_library('ws2_32', required: true)
-  secur32_dep = cc.find_library('secur32', required: true)
-  backend_deps += secur32_dep
-  libpq_deps += secur32_dep
-
-  postgres_inc_d += 'src/include/port/win32'
-  if cc.get_id() == 'msvc'
-    postgres_inc_d += 'src/include/port/win32_msvc'
-  endif
-
-  windows = import('windows')
+	portname = 'win32'
+	exesuffix = '.exe'
+	dlsuffix = '.dll'
+	library_path_var = ''
+	if cc.get_id() != 'msvc'
+		# define before including <time.h> for getting localtime_r() etc. on MinGW
+		cppflags += '-D_POSIX_C_SOURCE'
+	endif
+
+	export_file_format = 'win'
+	export_file_suffix = 'def'
+	if cc.get_id() == 'msvc'
+		export_fmt = '/DEF:@0@'
+		mod_link_with_name = '@0@.lib'
+	else
+		export_fmt = '@0@'
+		mod_link_with_name = 'lib@0@.a'
+	endif
+	mod_link_args_fmt = ['@0@']
+	mod_link_with_dir = 'libdir'
+
+	shmem_kind = 'win32'
+	sema_kind = 'win32'
+
+	cdata.set('WIN32_STACK_RLIMIT', 4194304)
+	if cc.get_id() == 'msvc'
+		ldflags += '/INCREMENTAL:NO'
+		ldflags += '/STACK:@0@'.format(cdata.get('WIN32_STACK_RLIMIT'))
+		# ldflags += '/nxcompat' # generated by msbuild, should have it for ninja?
+	else
+		ldflags += '-Wl,--stack,@0@'.format(cdata.get('WIN32_STACK_RLIMIT'))
+		# Need to allow multiple definitions, we e.g. want to override getopt.
+		ldflags += '-Wl,--allow-multiple-definition'
+		# Ensure we get MSVC-like linking behavior.
+		ldflags += '-Wl,--disable-auto-import'
+	endif
+
+	os_deps += cc.find_library('ws2_32', required: true)
+	secur32_dep = cc.find_library('secur32', required: true)
+	backend_deps += secur32_dep
+	libpq_deps += secur32_dep
+
+	postgres_inc_d += 'src/include/port/win32'
+	if cc.get_id() == 'msvc'
+		postgres_inc_d += 'src/include/port/win32_msvc'
+	endif
+
+	windows = import('windows')
 
 else
-  # XXX: Should we add an option to override the host_system as an escape
-  # hatch?
-  error('unknown host system: @0@'.format(host_system))
+	# XXX: Should we add an option to override the host_system as an escape
+	# hatch?
+	error('unknown host system: @0@'.format(host_system))
 endif
 
 
@@ -354,32 +354,32 @@ nm = find_program('nm', required: false, native: true)
 
 bison_flags = []
 if bison.found()
-  bison_version_c = run_command(bison, '--version', check: true)
-  # bison version string helpfully is something like
-  # >>bison (GNU bison) 3.8.1<<
-  bison_version = bison_version_c.stdout().split(' ')[3].split('\n')[0]
-  if bison_version.version_compare('>=3.0')
-    bison_flags += ['-Wno-deprecated']
-  endif
+	bison_version_c = run_command(bison, '--version', check: true)
+	# bison version string helpfully is something like
+	# >>bison (GNU bison) 3.8.1<<
+	bison_version = bison_version_c.stdout().split(' ')[3].split('\n')[0]
+	if bison_version.version_compare('>=3.0')
+		bison_flags += ['-Wno-deprecated']
+	endif
 endif
 bison_cmd = [bison, bison_flags, '-o', '@OUTPUT0@', '-d', '@INPUT@']
 bison_kw = {
-  'output': ['@BASENAME@.c', '@BASENAME@.h'],
-  'command': bison_cmd,
+	'output': ['@BASENAME@.c', '@BASENAME@.h'],
+	'command': bison_cmd,
 }
 
 flex_flags = []
 if flex.found()
-  flex_version_c = run_command(flex, '--version', check: true)
-  flex_version = flex_version_c.stdout().split(' ')[1].split('\n')[0]
+	flex_version_c = run_command(flex, '--version', check: true)
+	flex_version = flex_version_c.stdout().split(' ')[1].split('\n')[0]
 endif
 flex_wrapper = files('src/tools/pgflex')
 flex_cmd = [python, flex_wrapper,
-  '--builddir', '@BUILD_ROOT@',
-  '--srcdir', '@SOURCE_ROOT@',
-  '--privatedir', '@PRIVATE_DIR@',
-  '--flex', flex, '--perl', perl,
-  '-i', '@INPUT@', '-o', '@OUTPUT0@',
+	'--builddir', '@BUILD_ROOT@',
+	'--srcdir', '@SOURCE_ROOT@',
+	'--privatedir', '@PRIVATE_DIR@',
+	'--flex', flex, '--perl', perl,
+	'-i', '@INPUT@', '-o', '@OUTPUT0@',
 ]
 
 wget = find_program('wget', required: false, native: true)
@@ -398,17 +398,17 @@ install_files = files('src/tools/install_files')
 meson_binpath_r = run_command(python, 'src/tools/find_meson', check: true)
 
 if meson_binpath_r.stdout() == ''
-  error('huh, could not run find_meson.\nerrcode: @0@\nstdout: @1@\nstderr: @2@'.format(
-    meson_binpath_r.returncode(),
-    meson_binpath_r.stdout(),
-    meson_binpath_r.stderr()))
+	error('huh, could not run find_meson.\nerrcode: @0@\nstdout: @1@\nstderr: @2@'.format(
+		meson_binpath_r.returncode(),
+		meson_binpath_r.stdout(),
+		meson_binpath_r.stderr()))
 endif
 
 meson_binpath_s = meson_binpath_r.stdout().split('\n')
 meson_binpath_len = meson_binpath_s.length()
 
 if meson_binpath_len < 1
-  error('unexpected introspect line @0@'.format(meson_binpath_r.stdout()))
+	error('unexpected introspect line @0@'.format(meson_binpath_r.stdout()))
 endif
 
 i = 0
@@ -416,18 +416,18 @@ meson_impl = ''
 meson_binpath = ''
 meson_args = []
 foreach e : meson_binpath_s
-  if i == 0
-    meson_impl = e
-  elif i == 1
-    meson_binpath = e
-  else
-    meson_args += e
-  endif
-  i += 1
+	if i == 0
+		meson_impl = e
+	elif i == 1
+		meson_binpath = e
+	else
+		meson_args += e
+	endif
+	i += 1
 endforeach
 
 if meson_impl not in ['muon', 'meson']
-  error('unknown meson implementation "@0@"'.format(meson_impl))
+	error('unknown meson implementation "@0@"'.format(meson_impl))
 endif
 
 meson_bin = find_program(meson_binpath, native: true)
@@ -444,31 +444,31 @@ cdata.set('USE_INJECTION_POINTS', get_option('injection_points') ? 1 : false)
 blocksize = get_option('blocksize').to_int() * 1024
 
 if get_option('segsize_blocks') != 0
-  if get_option('segsize') != 1
-    warning('both segsize and segsize_blocks specified, segsize_blocks wins')
-  endif
+	if get_option('segsize') != 1
+		warning('both segsize and segsize_blocks specified, segsize_blocks wins')
+	endif
 
-  segsize = get_option('segsize_blocks')
+	segsize = get_option('segsize_blocks')
 else
-  segsize = (get_option('segsize') * 1024 * 1024 * 1024) / blocksize
+	segsize = (get_option('segsize') * 1024 * 1024 * 1024) / blocksize
 endif
 
 # If we don't have largefile support, can't handle segment size >= 2GB.
 if cc.sizeof('off_t', args: test_c_args) < 8
-  segsize_bytes = segsize * blocksize
-  if segsize_bytes >= (2 * 1024 * 1024 * 1024)
-    error('Large file support is not enabled. Segment size cannot be larger than 1GB.')
-  endif
+	segsize_bytes = segsize * blocksize
+	if segsize_bytes >= (2 * 1024 * 1024 * 1024)
+		error('Large file support is not enabled. Segment size cannot be larger than 1GB.')
+	endif
 endif
 
 cdata.set('BLCKSZ', blocksize, description:
 '''Size of a disk block --- this also limits the size of a tuple. You can set
-   it bigger if you need bigger tuples (although TOAST should reduce the need
-   to have large tuples, since fields can be spread across multiple tuples).
-   BLCKSZ must be a power of 2. The maximum possible value of BLCKSZ is
-   currently 2^15 (32768). This is determined by the 15-bit widths of the
-   lp_off and lp_len fields in ItemIdData (see include/storage/itemid.h).
-   Changing BLCKSZ requires an initdb.''')
+	 it bigger if you need bigger tuples (although TOAST should reduce the need
+	 to have large tuples, since fields can be spread across multiple tuples).
+	 BLCKSZ must be a power of 2. The maximum possible value of BLCKSZ is
+	 currently 2^15 (32768). This is determined by the 15-bit widths of the
+	 lp_off and lp_len fields in ItemIdData (see include/storage/itemid.h).
+	 Changing BLCKSZ requires an initdb.''')
 
 cdata.set('XLOG_BLCKSZ', get_option('wal_blocksize').to_int() * 1024)
 cdata.set('RELSEG_SIZE', segsize)
@@ -476,7 +476,7 @@ cdata.set('DEF_PGPORT', get_option('pgport'))
 cdata.set_quoted('DEF_PGPORT_STR', get_option('pgport').to_string())
 cdata.set_quoted('PG_KRB_SRVNAM', get_option('krb_srvnam'))
 if get_option('system_tzdata') != ''
-  cdata.set_quoted('SYSTEMTZDIR', get_option('system_tzdata'))
+	cdata.set_quoted('SYSTEMTZDIR', get_option('system_tzdata'))
 endif
 
 
@@ -499,19 +499,19 @@ dir_bin = get_option('bindir')
 
 dir_data = get_option('datadir')
 if not (dir_prefix_contains_pg or dir_data.contains('pgsql') or dir_data.contains('postgres'))
-  dir_data = dir_data / pkg
+	dir_data = dir_data / pkg
 endif
 
 dir_sysconf = get_option('sysconfdir')
 if not (dir_prefix_contains_pg or dir_sysconf.contains('pgsql') or dir_sysconf.contains('postgres'))
-  dir_sysconf = dir_sysconf / pkg
+	dir_sysconf = dir_sysconf / pkg
 endif
 
 dir_lib = get_option('libdir')
 
 dir_lib_pkg = dir_lib
 if not (dir_prefix_contains_pg or dir_lib_pkg.contains('pgsql') or dir_lib_pkg.contains('postgres'))
-  dir_lib_pkg = dir_lib_pkg / pkg
+	dir_lib_pkg = dir_lib_pkg / pkg
 endif
 
 dir_pgxs = dir_lib_pkg / 'pgxs'
@@ -521,8 +521,8 @@ dir_include = get_option('includedir')
 dir_include_pkg = dir_include
 dir_include_pkg_rel = ''
 if not (dir_prefix_contains_pg or dir_include_pkg.contains('pgsql') or dir_include_pkg.contains('postgres'))
-  dir_include_pkg = dir_include_pkg / pkg
-  dir_include_pkg_rel = pkg
+	dir_include_pkg = dir_include_pkg / pkg
+	dir_include_pkg_rel = pkg
 endif
 
 dir_man = get_option('mandir')
@@ -530,7 +530,7 @@ dir_man = get_option('mandir')
 # FIXME: These used to be separately configurable - worth adding?
 dir_doc = get_option('datadir') / 'doc'
 if not (dir_prefix_contains_pg or dir_doc.contains('pgsql') or dir_doc.contains('postgres'))
-  dir_doc = dir_doc / pkg
+	dir_doc = dir_doc / pkg
 endif
 dir_doc_html = dir_doc / 'html'
 
@@ -563,22 +563,22 @@ c11_test = '''
 '''
 
 if not cc.compiles(c11_test, name: 'C11')
-  c11_ok = false
-  if cc.get_id() == 'msvc'
-    c11_test_args = ['/std:c11']
-  else
-    c11_test_args = ['-std=gnu11', '-std=c11']
-  endif
-  foreach arg : c11_test_args
-    if cc.compiles(c11_test, name: 'C11 with @0@'.format(arg), args: [arg])
-      c11_ok = true
-      cflags += arg
-      break
-    endif
-  endforeach
-  if not c11_ok
-    error('C compiler does not support C11')
-  endif
+	c11_ok = false
+	if cc.get_id() == 'msvc'
+		c11_test_args = ['/std:c11']
+	else
+		c11_test_args = ['-std=gnu11', '-std=c11']
+	endif
+	foreach arg : c11_test_args
+		if cc.compiles(c11_test, name: 'C11 with @0@'.format(arg), args: [arg])
+			c11_ok = true
+			cflags += arg
+			break
+		endif
+	endforeach
+	if not c11_ok
+		error('C compiler does not support C11')
+	endif
 endif
 
 
@@ -595,10 +595,10 @@ test_c_args = cppflags + cflags
 bsd_authopt = get_option('bsd_auth')
 bsd_auth = not_found_dep
 if cc.check_header('bsd_auth.h', required: bsd_authopt,
-    args: test_c_args, prefix: '#include <sys/types.h>',
-    include_directories: postgres_inc)
-  cdata.set('USE_BSD_AUTH', 1)
-  bsd_auth = declare_dependency()
+		args: test_c_args, prefix: '#include <sys/types.h>',
+		include_directories: postgres_inc)
+	cdata.set('USE_BSD_AUTH', 1)
+	bsd_auth = declare_dependency()
 endif
 
 
@@ -613,11 +613,11 @@ endif
 bonjouropt = get_option('bonjour')
 bonjour = not_found_dep
 if cc.check_header('dns_sd.h', required: bonjouropt,
-    args: test_c_args, include_directories: postgres_inc) and \
-   cc.has_function('DNSServiceRegister',
-    args: test_c_args, include_directories: postgres_inc)
-  cdata.set('USE_BONJOUR', 1)
-  bonjour = declare_dependency()
+		args: test_c_args, include_directories: postgres_inc) and \
+	 cc.has_function('DNSServiceRegister',
+		args: test_c_args, include_directories: postgres_inc)
+	cdata.set('USE_BONJOUR', 1)
+	bonjour = declare_dependency()
 endif
 
 
@@ -629,11 +629,11 @@ endif
 docs_opt = get_option('docs')
 docs_dep = not_found_dep
 if not docs_opt.disabled()
-  if xmllint_bin.found() and xsltproc_bin.found()
-    docs_dep = declare_dependency()
-  elif docs_opt.enabled()
-    error('missing required tools (xmllint and xsltproc needed) for docs in HTML / man page format')
-  endif
+	if xmllint_bin.found() and xsltproc_bin.found()
+		docs_dep = declare_dependency()
+	elif docs_opt.enabled()
+		error('missing required tools (xmllint and xsltproc needed) for docs in HTML / man page format')
+	endif
 endif
 
 
@@ -645,12 +645,12 @@ endif
 docs_pdf_opt = get_option('docs_pdf')
 docs_pdf_dep = not_found_dep
 if not docs_pdf_opt.disabled()
-  fop = find_program(get_option('FOP'), native: true, required: docs_pdf_opt)
-  if xmllint_bin.found() and xsltproc_bin.found() and fop.found()
-    docs_pdf_dep = declare_dependency()
-  elif docs_pdf_opt.enabled()
-    error('missing required tools for docs in PDF format')
-  endif
+	fop = find_program(get_option('FOP'), native: true, required: docs_pdf_opt)
+	if xmllint_bin.found() and xsltproc_bin.found() and fop.found()
+		docs_pdf_dep = declare_dependency()
+	elif docs_pdf_opt.enabled()
+		error('missing required tools for docs in PDF format')
+	endif
 endif
 
 
@@ -663,84 +663,84 @@ gssapiopt = get_option('gssapi')
 krb_srvtab = ''
 have_gssapi = false
 if not gssapiopt.disabled()
-  gssapi = dependency('krb5-gssapi', required: false)
-  have_gssapi = gssapi.found()
-
-  if have_gssapi
-      gssapi_deps = [gssapi]
-  elif not have_gssapi
-    # Hardcoded lookup for gssapi. This is necessary as gssapi on windows does
-    # not install neither pkg-config nor cmake dependency information.
-    if host_system == 'windows'
-      is_64  = cc.sizeof('void *', args: test_c_args) == 8
-      if is_64
-        gssapi_search_libs = ['gssapi64', 'krb5_64', 'comerr64']
-      else
-        gssapi_search_libs = ['gssapi32', 'krb5_32', 'comerr32']
-      endif
-    else
-      gssapi_search_libs = ['gssapi_krb5']
-    endif
-
-    gssapi_deps = []
-    foreach libname : gssapi_search_libs
-      lib = cc.find_library(libname, dirs: test_lib_d, required: false)
-      if lib.found()
-        have_gssapi = true
-        gssapi_deps += lib
-      endif
-    endforeach
-
-    if have_gssapi
-      # Meson before 0.57.0 did not support using check_header() etc with
-      # declare_dependency(). Thus the tests below use the library looked up
-      # above.  Once we require a newer meson version, we can simplify.
-      gssapi = declare_dependency(dependencies: gssapi_deps)
-    endif
-  endif
-
-  if not have_gssapi
-  elif cc.check_header('gssapi/gssapi.h', dependencies: gssapi_deps, required: false,
-      args: test_c_args, include_directories: postgres_inc)
-    cdata.set('HAVE_GSSAPI_GSSAPI_H', 1)
-  elif cc.check_header('gssapi.h', dependencies: gssapi_deps, required: gssapiopt,
-      args: test_c_args, include_directories: postgres_inc)
-    cdata.set('HAVE_GSSAPI_H', 1)
-  else
-    have_gssapi = false
-  endif
-
-  if not have_gssapi
-  elif cc.check_header('gssapi/gssapi_ext.h', dependencies: gssapi_deps, required: false,
-      args: test_c_args, include_directories: postgres_inc)
-    cdata.set('HAVE_GSSAPI_GSSAPI_EXT_H', 1)
-  elif cc.check_header('gssapi_ext.h', dependencies: gssapi_deps, required: gssapiopt,
-      args: test_c_args, include_directories: postgres_inc)
-    cdata.set('HAVE_GSSAPI_EXT_H', 1)
-  else
-    have_gssapi = false
-  endif
-
-  if not have_gssapi
-  elif cc.has_function('gss_store_cred_into', dependencies: gssapi_deps,
-      args: test_c_args, include_directories: postgres_inc)
-    cdata.set('ENABLE_GSS', 1)
-
-    krb_srvtab = 'FILE:/@0@/krb5.keytab)'.format(get_option('sysconfdir'))
-    cdata.set_quoted('PG_KRB_SRVTAB', krb_srvtab)
-  elif gssapiopt.enabled()
-    error('''could not find function 'gss_store_cred_into' required for GSSAPI''')
-  else
-    have_gssapi = false
-  endif
-
-  if not have_gssapi and gssapiopt.enabled()
-    error('dependency lookup for gssapi failed')
-  endif
+	gssapi = dependency('krb5-gssapi', required: false)
+	have_gssapi = gssapi.found()
+
+	if have_gssapi
+			gssapi_deps = [gssapi]
+	elif not have_gssapi
+		# Hardcoded lookup for gssapi. This is necessary as gssapi on windows does
+		# not install neither pkg-config nor cmake dependency information.
+		if host_system == 'windows'
+			is_64  = cc.sizeof('void *', args: test_c_args) == 8
+			if is_64
+				gssapi_search_libs = ['gssapi64', 'krb5_64', 'comerr64']
+			else
+				gssapi_search_libs = ['gssapi32', 'krb5_32', 'comerr32']
+			endif
+		else
+			gssapi_search_libs = ['gssapi_krb5']
+		endif
+
+		gssapi_deps = []
+		foreach libname : gssapi_search_libs
+			lib = cc.find_library(libname, dirs: test_lib_d, required: false)
+			if lib.found()
+				have_gssapi = true
+				gssapi_deps += lib
+			endif
+		endforeach
+
+		if have_gssapi
+			# Meson before 0.57.0 did not support using check_header() etc with
+			# declare_dependency(). Thus the tests below use the library looked up
+			# above.  Once we require a newer meson version, we can simplify.
+			gssapi = declare_dependency(dependencies: gssapi_deps)
+		endif
+	endif
+
+	if not have_gssapi
+	elif cc.check_header('gssapi/gssapi.h', dependencies: gssapi_deps, required: false,
+			args: test_c_args, include_directories: postgres_inc)
+		cdata.set('HAVE_GSSAPI_GSSAPI_H', 1)
+	elif cc.check_header('gssapi.h', dependencies: gssapi_deps, required: gssapiopt,
+			args: test_c_args, include_directories: postgres_inc)
+		cdata.set('HAVE_GSSAPI_H', 1)
+	else
+		have_gssapi = false
+	endif
+
+	if not have_gssapi
+	elif cc.check_header('gssapi/gssapi_ext.h', dependencies: gssapi_deps, required: false,
+			args: test_c_args, include_directories: postgres_inc)
+		cdata.set('HAVE_GSSAPI_GSSAPI_EXT_H', 1)
+	elif cc.check_header('gssapi_ext.h', dependencies: gssapi_deps, required: gssapiopt,
+			args: test_c_args, include_directories: postgres_inc)
+		cdata.set('HAVE_GSSAPI_EXT_H', 1)
+	else
+		have_gssapi = false
+	endif
+
+	if not have_gssapi
+	elif cc.has_function('gss_store_cred_into', dependencies: gssapi_deps,
+			args: test_c_args, include_directories: postgres_inc)
+		cdata.set('ENABLE_GSS', 1)
+
+		krb_srvtab = 'FILE:/@0@/krb5.keytab)'.format(get_option('sysconfdir'))
+		cdata.set_quoted('PG_KRB_SRVTAB', krb_srvtab)
+	elif gssapiopt.enabled()
+		error('''could not find function 'gss_store_cred_into' required for GSSAPI''')
+	else
+		have_gssapi = false
+	endif
+
+	if not have_gssapi and gssapiopt.enabled()
+		error('dependency lookup for gssapi failed')
+	endif
 
 endif
 if not have_gssapi
-  gssapi = not_found_dep
+	gssapi = not_found_dep
 endif
 
 
